schema annotation in Node type is out-of-date with implementation

2012-04-09 18:45 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version:    

Description

the annotation for the node / identifier element is incorrect, stating the value can be the same as the basurl.  New business rules

("urn:node:" prefix) disallow this.

We need to either to update annotations such as these with current business rules, or decouple "helpful hints" from the schemas, by

instead referencing documentation.

xs:annotation

 xs:documentationA unique identifier for the node. Although this

may initially be the same as the baseURL, such practice is not

recommended however as this value MUST NOT change for future

implementations of the same node, whereas the baseURL may change

in the future. /xs:documentation

 /xs:annotation

Related issues:

Related to Infrastructure - Story #2828: Incorporate documentation updates in... Closed 2012-05-30 2012-09-22

Related to Infrastructure - Task #3282: merge schema 1.1 branch to trunk, rep... Closed 2012-10-01

History

#1 - 2012-04-09 19:14 - Matthew Jones

- Assignee changed from Dave Vieglais to Matthew Jones

- Target version set to Sprint-2012.11-Block.2.2

The Architecture docs are created from the schema annotations, so we definitely need to fix the annotations in the schema to be correct.  So, this is a

bug, and one that needs to be fixed.  As it is only a documentation bug and not a schema change, we probably do not need to do a new schema

release for this.

#2 - 2012-04-23 17:12 - Dave Vieglais

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.19-Block.3.2

#3 - 2012-05-30 12:34 - Dave Vieglais

- Target version changed from Sprint-2012.19-Block.3.2 to Sprint-2012.23-Block.3.4

- Position set to 1

#4 - 2012-07-02 18:27 - Matthew Jones

- Position deleted (16)

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.27-Block.4.2

- Position set to 1

#5 - 2012-08-29 17:22 - Dave Vieglais
- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.35-Block.5.2

#6 - 2012-09-27 15:37 - Dave Vieglais

- Assignee changed from Matthew Jones to Dave Vieglais

- Milestone changed from CCI-1.0.0 to CCI-1.1

- Status changed from New to In Progress

#7 - 2012-10-01 19:14 - Rob Nahf

just a note:  prior to registration to an environment, the value can be anything, but node registration provides limits on this field (business rules), so

needs to follow the "urn:node" rules found here:  http://mule1.dataone.org/ArchitectureDocs-current/design/NodeIdentity.html?highlight=urn

#8 - 2012-10-02 03:57 - Dave Vieglais

- Target version deleted (Sprint-2012.35-Block.5.2)

- Project changed from Infrastructure to Redmine Test

- Category deleted (d1_schemas)

#9 - 2012-10-02 03:58 - Dave Vieglais

- Target version set to Sprint-2012.35-Block.5.2

#10 - 2012-10-10 14:08 - Dave Vieglais

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

- Due date set to 2012-09-08

Closed with rev:10341

#11 - 2012-10-10 14:09 - Dave Vieglais

- Milestone set to None

- Project changed from Redmine Test to Infrastructure

#12 - 2013-09-11 02:15 - Dave Vieglais

- Start date deleted (2012-04-09)

- Target version deleted (Sprint-2012.35-Block.5.2)

- Due date deleted (2012-09-08)
